using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

namespace CodeControls
{
	/// <summary>
	/// Summary description for CodeGridWeb.
	/// </summary>
	[ToolboxData("<{0}:CodeGridWeb runat=server></{0}:CodeGridWeb>")]
	public class CodeGridWeb : System.Web.UI.WebControls.WebControl
	{
		private string text;
	
		[Bindable(true), 
			Category("Appearance"), 
			DefaultValue("")] 
		public string Text 
		{
			get
			{
				return text;
			}

			set
			{
				text = value;
			}
		}

		/// <summary> 
		/// Renderuj tę kontrolkę do podanego parametru wyjściowego.
		/// </summary>
		/// <param name="output"> Plik HTML, gdzie ma być zapisane wyjście </param>
		protected override void Render(HtmlTextWriter output)
		{
			output.Write(Text);
		}
	}
}
